View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
16304Bug reportsOtherpublic2021-04-06 20:37
ReporterJmantysalo Assigned Toollehar  
PrioritynormalSeveritypartial_block 
Status assignedResolutionopen 
Product Version4.2.x 
Summary16304: Disk usage not shown
DescriptionGlobal settings > Storage does not seem to work, clicking "Calculate storage" does nothing. Directly going to .../admin/globalsettings?sa=getStorageData gives data, so somehow it is not embedded to a page where it should.
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 4.2.3+200511
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2020-05-19 13:03

administrator   ~57920

Can be fixed by reverting global settings to LS3.
Jmantysalo

Jmantysalo

2020-07-17 11:11

reporter   ~58985

I tested that the php function is never called. Somehow at limesurvey/assets/scripts/admin/globalsettings.js the part starting with

    $('#global-settings-calculate-storage').on(
        'click',
        function(ev)

is called but does not what it should.
Jmantysalo

Jmantysalo

2020-09-18 07:02

reporter   ~59866

> Can be fixed by reverting global settings to LS3.

How do I revert global settings?
ollehar

ollehar

2020-09-18 11:01

administrator   ~59868

> How do I revert global settings?

You can't, it's a suggestion for further development. Sorry. We're also discussing if this feature is needed or not. What's your use-case?
Jmantysalo

Jmantysalo

2020-09-18 11:11

reporter   ~59869

> What's your use-case?

Currently none, as I can log in to the server and just run du-command here. This can be removed -- and should be, if it does not work. Every non-working button gives kind of uncertain feeling.

(What kind of survey could take much space? For example emotion research, several videos of which some are selected by random and then asked "What feelings you got when looking this?")
ollehar

ollehar

2020-09-18 11:40

administrator   ~59872

Well, if you're the server admin, sure. :)

Some surveys take gigabytes of space when participants upload high-def pics.
Jmantysalo

Jmantysalo

2020-09-18 12:38

reporter   ~59874

> Some surveys take gigabytes of space when participants upload high-def pics.

True, that is another scenario. (Not very probable here.)

Today the disk space is seldom an issue, cleaning up for GDPR is much bigger thing: How to detect unused surveys etc, how to notify users / superadmin about those and so on. But that's another story.
ollehar

ollehar

2021-02-25 19:07

administrator   ~62535

Still broken in 4.4.10
c_schmitz

c_schmitz

2021-03-22 18:39

administrator   ~63561

Hello Jmantysalo,
This should already be fixed in recent versions.
Can you please check if this issue still exists in the latest version of LimeSurvey and let us know?
Thank you!
Jmantysalo

Jmantysalo

2021-03-23 06:07

reporter   ~63571

> This should already be fixed in recent versions.

Does not work on Version 4.4.14+210322.
renato.alves

renato.alves

2021-04-06 20:37

reporter   ~63842

On Version 4.4.16+210406

Upon clicking "Calculate storage", chromium's console shows:

Uncaught TypeError: LS.ajax is not a function
    at HTMLAnchorElement.<anonymous> (globalsettings.js:22)
    at HTMLAnchorElement.dispatch (jquery-3.5.1.min.js:2)
    at HTMLAnchorElement.v.handle (jquery-3.5.1.min.js:2)

Issue History

Date Modified Username Field Change
2020-05-18 21:17 Jmantysalo New Issue
2020-05-19 13:03 ollehar Note Added: 57920
2020-05-19 13:03 ollehar Priority none => normal
2020-07-17 11:11 Jmantysalo Note Added: 58985
2020-09-18 07:02 Jmantysalo Note Added: 59866
2020-09-18 11:01 ollehar Note Added: 59868
2020-09-18 11:02 ollehar Assigned To => ollehar
2020-09-18 11:02 ollehar Status new => feedback
2020-09-18 11:11 Jmantysalo Note Added: 59869
2020-09-18 11:11 Jmantysalo Status feedback => assigned
2020-09-18 11:40 ollehar Note Added: 59872
2020-09-18 12:38 Jmantysalo Note Added: 59874
2021-02-25 19:07 ollehar Note Added: 62535
2021-02-25 19:07 ollehar Severity minor => partial_block
2021-02-25 19:32 ollehar Priority normal => high
2021-03-22 18:39 c_schmitz Note Added: 63561
2021-03-22 18:39 c_schmitz Status assigned => feedback
2021-03-22 22:16 c_schmitz Priority high => normal
2021-03-23 06:07 Jmantysalo Note Added: 63571
2021-03-23 06:07 Jmantysalo Status feedback => assigned
2021-04-06 20:37 renato.alves Note Added: 63842